using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsNoticePriceDetail {
        //고지단가 상세금액
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "에너지 구분"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "시행일자"), Key]
        public DateTime ApplyDate { get; set; }
        [Display(Name = "계악타입"), Key]
        public short ContractType { get; set; }
        [Display(Name = "시간")]
        public short DataId { get; set; }
        [Display(Name = "금액")]
        public double? P01 { get; set; }
        [Display(Name = "금액")]
        public double? P02 { get; set; }
        [Display(Name = "금액")]
        public double? P03 { get; set; }
        [Display(Name = "금액")]
        public double? P04 { get; set; }
        [Display(Name = "금액")]
        public double? P05 { get; set; }
        [Display(Name = "금액")]
        public double? P06 { get; set; }
        [Display(Name = "금액")]
        public double? P07 { get; set; }
        [Display(Name = "금액")]
        public double? P08 { get; set; }
        [Display(Name = "금액")]
        public double? P09 { get; set; }
        [Display(Name = "금액")]
        public double? P10 { get; set; }
        [Display(Name = "금액")]
        public double? P11 { get; set; }
        [Display(Name = "금액")]
        public double? P12 { get; set; }

        [ForeignKey("SiteId,FuelTypeId,ApplyDate,ContractType")]
        public virtual BemsNoticePriceBase BemsNoticePriceBase { get; set; }
    }
}
